Subject: bug#8900: 24.0.50; please index mentioned coding systems in Emacs manual

From: "Drew Adams" <[email-masked]>
Date: Sat, 2 Jul 2011 07:37:07 -0700

> > You need detailed doc about *each* coding system before you 
> > will index *any* of them?
> 
> I never said that.

Sure seems that way to me.  You said:

E> not until we have a detailed documentation of each
E> encoding there.

But if you've relaxed about that, fine.

> Some of them _are_ indexed: raw-text, no-conversion, and
> emacs-internal.  That's because the manual says
> something specific about them, unlike the others.

No.  _None_ of those are indexed in the build I reported on.  Perhaps you are
seeing them now because Lars added them in response to this bug report?  As I
said earlier, and to which Lars agreed:

> L> Some of these were already in the index, 
> 
D> I don't see any of them.  `i' followed by a prefix of any of 
D> those names shows [No match]...  And searching each of the
D> indexes for each of those terms, I find none of them.

> The following is _not_ a description:
>   For example, the coding system @code{iso-latin-1} has
>   variants @code{iso-latin-1-unix}...

I agree about that.  The same cannot be said however for the case I cited:

D> We say what the undecided-* coding systems do wrt end-of-line
D> conversion, and we mention their aliases.